package idxconfig

import (
	//"encoding/base64"
	//"errors"
	//"fmt"
	"io"
	//"time"
	// config "gitlab.dms3.io/dms3/go-dms3-config"
)

func Init(out io.Writer) (*IdxConfig, error) {

	// datastore := config.DefaultDatastoreConfig()

	iconf := &IdxConfig{
		Indexer: Indexer{
			Path:      "", // path to index, ex: repo/base
			Memory:    "100M",
			Stemmer:   "krovetz",
			Normalize: true,
			Stopper: []string{
				"a",
				"an",
				"the",
				"as",
			},
			Corpus: Corpus{
				Path:  "", // path to repository, ex: repo/base/corpus
				Class: "html",
			},
			MaxDocs: "100M", // max # of doc per index
		},
		Metadata: Metadata{
			Kind: []Kind{{
				Name: "blog",
				Field: []string{
					"About",
					"Address",
					"Affiliation",
					"Author",
					"Brand",
					"Citation",
					"Description",
					"Email",
					"Headline",
					"Keywords",
					"Language",
					"Name",
					"Telephone",
					"Version",
				},
			},
			},
		},
		Retriever: Retriever{
			MaxResultCount: 100,
		},
	}

	return iconf, nil
}
